/**
 * ModelMediaType.java
 *
 * File generated from the medication::ModelMediaType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ModelMediaType.
 *
 * 
 */

@XmlType(name = "ModelMediaType")
@XmlEnum
@XmlRootElement(name = "ModelMediaType")
public enum ModelMediaType {
	@XmlEnumValue("model/vrml")
	MODELVRML("model/vrml");
	
	private final String value;

    ModelMediaType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ModelMediaType fromValue(String v) {
        for (ModelMediaType c: ModelMediaType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}